## tortoize 2.0.4

=== CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause

# Copyright (c) 2021 NKI/AVL, Netherlands Cancer Institute

# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:

# 1. Redistributions of source code must retain the above copyright notice, this
#    list of conditions and the following disclaimer
# 2. Redistributions in binary form must reproduce the above copyright notice,
#    this list of conditions and the following disclaimer in the documentation
#    and/or other materials provided with the distribution.

# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
# ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

cmake_minimum_required(VERSION 3.15)

# set the project name
project(tortoize VERSION 2.0.4 LANGUAGES CXX)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

include(GNUInstallDirs)
include(CheckFunctionExists)
include(CheckIncludeFiles)
include(CheckLibraryExists)
include(CMakePackageConfigHelpers)
include(Dart)
include(FindFilesystem)
include(GenerateExportHeader)

set(CXX_EXTENSIONS OFF)
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(Filesystem REQUIRED)

if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wno-unused-parameter -Wno-missing-field-initializers")
elseif(MSVC)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4")
endif()

if(NOT "$ENV{CCP4}" STREQUAL "")
	set(CCP4 $ENV{CCP4})
	list(PREPEND CMAKE_MODULE_PATH "${CCP4}/Lib")
	list(APPEND CMAKE_PREFIX_PATH ${CCP4})
	if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
		set(CMAKE_PREFIX_PATH ${CCP4})
	endif()
endif()

if(MSVC)
    # make msvc standards compliant...
    add_compile_options(/permissive-)

	macro(get_WIN32_WINNT version)
		if (WIN32 AND CMAKE_SYSTEM_VERSION)
			set(ver ${CMAKE_SYSTEM_VERSION})
			string(REPLACE "." "" ver ${ver})
			string(REGEX REPLACE "([0-9])" "0\\1" ver ${ver})

			set(${version} "0x${ver}")
		endif()
	endmacro()

	get_WIN32_WINNT(ver)
	add_definitions(-D_WIN32_WINNT=${ver})

	# On Windows, do not install in the system location
	if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT AND NOT BUILD_FOR_CCP4)
		message(STATUS "The library and auxiliary files will be installed in $ENV{LOCALAPPDATA}/${PROJECT_NAME}")
		set(CMAKE_INSTALL_PREFIX "$ENV{LOCALAPPDATA}/${PROJECT_NAME}" CACHE PATH "..." FORCE)
	endif()

	# Find out the processor type for the target
	if(${CMAKE_SYSTEM_PROCESSOR} STREQUAL "AMD64")
		set(COFF_TYPE "x64")
	elseif(${CMAKE_SYSTEM_PROCESSOR} STREQUAL "i386")
		set(COFF_TYPE "x86")
	elseif(${CMAKE_SYSTEM_PROCESSOR} STREQUAL "ARM64")
		set(COFF_TYPE "arm64")
	else()
		message(FATAL_ERROR "Unsupported or unknown processor type ${CMAKE_SYSTEM_PROCESSOR}")
	endif()	

	set(COFF_SPEC "--coff=${COFF_TYPE}")
endif()

if(UNIX AND NOT APPLE)
	# On Linux, install in the $HOME/.local folder by default
	if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
		message(WARNING "The library and auxiliary files will be installed in $ENV{HOME}/.local")
		set(CMAKE_INSTALL_PREFIX "$ENV{HOME}/.local" CACHE PATH "..." FORCE)
	endif()
endif()

# Create a revision file, containing the current git version info

find_package(Git)
if(GIT_FOUND AND EXISTS "${CMAKE_SOURCE_DIR}/.git")
	include(GetGitRevisionDescription)
    get_git_head_revision(REFSPEC COMMITHASH)

	# Generate our own version string
	git_describe_working_tree(BUILD_VERSION_STRING --match=build --dirty)
else()
    message(WARNING "Git not found, cannot set version info")

    SET(BUILD_VERSION_STRING ${PROJECT_VERSION})
endif()

# generate version.h
string(TIMESTAMP BUILD_DATE_TIME "%Y-%m-%dT%H:%M:%SZ" UTC)
configure_file("${CMAKE_SOURCE_DIR}/src/revision.hpp.in" "${CMAKE_BINARY_DIR}/revision.hpp" @ONLY)

# Optionally use mrc to create resources
find_program(MRC mrc HINTS "$ENV{LOCALAPPDATA}/mrc" "$ENV{LOCALAPPDATA}/mrc/bin" "${CMAKE_INSTALL_PREFIX}/../mrc" "/usr/local/bin")

if(MRC)
	option(USE_RSRC "Use mrc to create resources" ON)
else()
	message(WARNING "Not using resources since mrc was not found")
endif()

if(USE_RSRC STREQUAL "ON")
	set(USE_RSRC 1)

	message("Using resources compiled with ${MRC}")
	add_compile_definitions(USE_RSRC)
endif()

# libraries

set(CMAKE_THREAD_PREFER_PTHREAD)
set(THREADS_PREFER_PTHREAD_FLAG)
find_package(Threads)

set(Boost_DETAILED_FAILURE_MSG ON)
if(NOT BUILD_SHARED_LIBS)
	set(Boost_USE_STATIC_LIBS ON)
endif()

find_package(cifpp 2.0.0 REQUIRED)
find_package(zeep 5.1.4 REQUIRED)

if(USE_RSRC)
	add_custom_command(OUTPUT tortoize_rsrc.obj
		COMMAND ${MRC} -o tortoize_rsrc.obj ${CMAKE_SOURCE_DIR}/rsrc/rama-data.bin ${CMAKE_SOURCE_DIR}/rsrc/torsion-data.bin ${CIFPP_SHARE_DIR}/mmcif_pdbx_v50.dic ${COFF_SPEC}
	)

	set(TORTOIZE_RESOURCE tortoize_rsrc.obj)
endif()

add_executable(tortoize
	${PROJECT_SOURCE_DIR}/src/tortoize.cpp
	${TORTOIZE_RESOURCE})

target_include_directories(tortoize PRIVATE cifpp::cifpp ${CMAKE_SOURCE_DIR}/include  ${cifpp_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS} ${CMAKE_BINARY_DIR})
target_link_libraries(tortoize cifpp::cifpp zeep::zeep std::filesystem)

install(TARGETS ${PROJECT_NAME}
    RUNTIME DESTINATION ${BIN_INSTALL_DIR}
)

if(NOT USE_RSRC)
	install(FILES ${CMAKE_SOURCE_DIR}/rsrc/rama-data.bin ${CMAKE_SOURCE_DIR}/rsrc/torsion-data.bin
		DESTINATION ${CIFPP_SHARE_DIR})
endif()

# manual

install(FILES doc/tortoize.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

## tortoize 2.0.0

=== debian/changelog ===
tortoize (2.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #975691)

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Wed, 25 Nov 2020 09:16:07 +0100

=== debian/control ===
Source: tortoize
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Maarten L. Hekkelman <maarten@hekkelman.com>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libboost-iostreams-dev,
               libboost-program-options-dev,
               libboost-system-dev,
               libboost-date-time-dev,
               libcifpp-dev,
               libzeep-dev,
               mrc
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/PDB-REDO/tortoize
Vcs-Browser: https://salsa.debian.org/debian/tortoize
Vcs-Git: https://salsa.debian.org/debian/tortoize.git

Package: tortoize
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcifpp1, libzeep5
Description: Application to calculate ramachandran z-scores
 Tortoize validates protein structure models by checking the
 Ramachandran plot and side-chain rotamer distributions. Quality
 Z-scores are given at the residue level and at the model level
 (ramachandran-z and torsions-z). Higher scores are better. To compare
 models or to describe the reliability of the model Z-scores jackknife-
 based standard deviations are also reported (ramachandran-jackknife-sd
 and torsion-jackknife-sd).

## tortoize 2.0.1

=== debian/changelog ===
tortoize (2.0.1-3build1) jammy; urgency=medium

  * No-change rebuild against libzeep5.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 14 Dec 2021 21:02:16 +0000

tortoize (2.0.1-3) unstable; urgency=medium

  * Update libzeep dependency

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Tue, 02 Nov 2021 13:38:37 +0100

tortoize (2.0.1-2) unstable; urgency=medium

  * Team upload.

  [ Vagrant Cascadian ]
  * Use SOURCE_DATE_EPOCH for date string
    Closes: #977431

 -- Andreas Tille <tille@debian.org>  Tue, 15 Dec 2020 18:43:27 +0100

tortoize (2.0.1-1) unstable; urgency=medium

  [ Maarten L. Hekkelman ]
  * Fix VCS-Browser

  [ Andreas Tille ]
  * Fix citations
  * Standards-Version: 4.5.1 (routine-update)
  * Add salsa-ci file (routine-update)
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Mon, 07 Dec 2020 17:52:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: tortoize
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Maarten L. Hekkelman <maarten@hekkelman.com>
 Section: science
 Priority: optional
@@ -11,15 +12,15 @@
                libcifpp-dev,
                libzeep-dev,
                mrc
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/PDB-REDO/tortoize
-Vcs-Browser: https://salsa.debian.org/debian/tortoize
-Vcs-Git: https://salsa.debian.org/debian/tortoize.git
+Vcs-Browser: https://salsa.debian.org/med-team/tortoize
+Vcs-Git: https://salsa.debian.org/med-team/tortoize.git
 
 Package: tortoize
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libcifpp1, libzeep5
+Depends: ${shlibs:Depends}, ${misc:Depends}, libcifpp1, libzeep5.1
 Description: Application to calculate ramachandran z-scores
  Tortoize validates protein structure models by checking the
  Ramachandran plot and side-chain rotamer distributions. Quality

## tortoize 2.0.4

=== debian/changelog ===
tortoize (2.0.4-1) unstable; urgency=medium

  * New upstream release.

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Mon, 08 Nov 2021 11:28:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: tortoize
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Maarten L. Hekkelman <maarten@hekkelman.com>
 Section: science
 Priority: optional
@@ -10,6 +9,9 @@
                libboost-system-dev,
                libboost-date-time-dev,
                libcifpp-dev,
+               zlib1g-dev,
+               libbz2-dev,
+               cmake,
                libzeep-dev,
                mrc
 Standards-Version: 4.5.1

## tortoize 2.0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
 cmake_minimum_required(VERSION 3.15)
 
 # set the project name
-project(tortoize VERSION 2.0.4 LANGUAGES CXX)
+project(tortoize VERSION 2.0.5 LANGUAGES CXX)
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
@@ -51,6 +51,7 @@
 endif()
 
 if(NOT "$ENV{CCP4}" STREQUAL "")
+	set(BUILD_SHARED_LIBS ON)
 	set(CCP4 $ENV{CCP4})
 	list(PREPEND CMAKE_MODULE_PATH "${CCP4}/Lib")
 	list(APPEND CMAKE_PREFIX_PATH ${CCP4})
@@ -81,19 +82,6 @@
 		message(STATUS "The library and auxiliary files will be installed in $ENV{LOCALAPPDATA}/${PROJECT_NAME}")
 		set(CMAKE_INSTALL_PREFIX "$ENV{LOCALAPPDATA}/${PROJECT_NAME}" CACHE PATH "..." FORCE)
 	endif()
-
-	# Find out the processor type for the target
-	if(${CMAKE_SYSTEM_PROCESSOR} STREQUAL "AMD64")
-		set(COFF_TYPE "x64")
-	elseif(${CMAKE_SYSTEM_PROCESSOR} STREQUAL "i386")
-		set(COFF_TYPE "x86")
-	elseif(${CMAKE_SYSTEM_PROCESSOR} STREQUAL "ARM64")
-		set(COFF_TYPE "arm64")
-	else()
-		message(FATAL_ERROR "Unsupported or unknown processor type ${CMAKE_SYSTEM_PROCESSOR}")
-	endif()	
-
-	set(COFF_SPEC "--coff=${COFF_TYPE}")
 endif()
 
 if(UNIX AND NOT APPLE)
@@ -104,29 +92,14 @@
 	endif()
 endif()
 
-# Create a revision file, containing the current git version info
-
-find_package(Git)
-if(GIT_FOUND AND EXISTS "${CMAKE_SOURCE_DIR}/.git")
-	include(GetGitRevisionDescription)
-    get_git_head_revision(REFSPEC COMMITHASH)
-
-	# Generate our own version string
-	git_describe_working_tree(BUILD_VERSION_STRING --match=build --dirty)
-else()
-    message(WARNING "Git not found, cannot set version info")
-
-    SET(BUILD_VERSION_STRING ${PROJECT_VERSION})
-endif()
-
-# generate version.h
-string(TIMESTAMP BUILD_DATE_TIME "%Y-%m-%dT%H:%M:%SZ" UTC)
-configure_file("${CMAKE_SOURCE_DIR}/src/revision.hpp.in" "${CMAKE_BINARY_DIR}/revision.hpp" @ONLY)
+# Create a revision file, containing the current git version info, if any
+include(VersionString)
+write_version_header()
 
 # Optionally use mrc to create resources
-find_program(MRC mrc HINTS "$ENV{LOCALAPPDATA}/mrc" "$ENV{LOCALAPPDATA}/mrc/bin" "${CMAKE_INSTALL_PREFIX}/../mrc" "/usr/local/bin")
+find_package(Mrc)
 
-if(MRC)
+if(MRC_FOUND)
 	option(USE_RSRC "Use mrc to create resources" ON)
 else()
 	message(WARNING "Not using resources since mrc was not found")
@@ -134,8 +107,6 @@
 
 if(USE_RSRC STREQUAL "ON")
 	set(USE_RSRC 1)
-
-	message("Using resources compiled with ${MRC}")
 	add_compile_definitions(USE_RSRC)
 endif()
 
@@ -145,28 +116,21 @@
 set(THREADS_PREFER_PTHREAD_FLAG)
 find_package(Threads)
 
-set(Boost_DETAILED_FAILURE_MSG ON)
-if(NOT BUILD_SHARED_LIBS)
-	set(Boost_USE_STATIC_LIBS ON)
-endif()
-
 find_package(cifpp 2.0.0 REQUIRED)
 find_package(zeep 5.1.4 REQUIRED)
 
-if(USE_RSRC)
-	add_custom_command(OUTPUT tortoize_rsrc.obj
-		COMMAND ${MRC} -o tortoize_rsrc.obj ${CMAKE_SOURCE_DIR}/rsrc/rama-data.bin ${CMAKE_SOURCE_DIR}/rsrc/torsion-data.bin ${CIFPP_SHARE_DIR}/mmcif_pdbx_v50.dic ${COFF_SPEC}
-	)
-
-	set(TORTOIZE_RESOURCE tortoize_rsrc.obj)
-endif()
+find_package(Boost COMPONENTS program_options REQUIRED)
 
 add_executable(tortoize
 	${PROJECT_SOURCE_DIR}/src/tortoize.cpp
 	${TORTOIZE_RESOURCE})
 
-target_include_directories(tortoize PRIVATE cifpp::cifpp ${CMAKE_SOURCE_DIR}/include  ${cifpp_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS} ${CMAKE_BINARY_DIR})
-target_link_libraries(tortoize cifpp::cifpp zeep::zeep std::filesystem)
+if(USE_RSRC)
+	mrc_target_resources(tortoize ${CMAKE_SOURCE_DIR}/rsrc/rama-data.bin ${CMAKE_SOURCE_DIR}/rsrc/torsion-data.bin ${CIFPP_SHARE_DIR}/mmcif_pdbx_v50.dic)
+endif()
+
+target_include_directories(tortoize PRIVATE cifpp::cifpp ${CMAKE_SOURCE_DIR}/include ${CMAKE_BINARY_DIR})
+target_link_libraries(tortoize cifpp::cifpp zeep::zeep std::filesystem Boost::program_options)
 
 install(TARGETS ${PROJECT_NAME}
     RUNTIME DESTINATION ${BIN_INSTALL_DIR}
@@ -177,6 +141,10 @@
 		DESTINATION ${CIFPP_SHARE_DIR})
 endif()
 
+# # manual
+
+# install(FILES doc/tortoize.1 DESTINATION ${CMAKE_INSTALL_DATADIR}/man/man1)
+
 # manual
 
 install(FILES doc/tortoize.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

=== debian/changelog ===
tortoize (2.0.5-2) unstable; urgency=medium

  * Fix dependency, Closes: #1005040

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Sun, 06 Feb 2022 08:01:13 +0100

tortoize (2.0.5-1) unstable; urgency=medium

  * New upstream release.

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Sat, 05 Feb 2022 07:41:14 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
 Package: tortoize
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libcifpp1, libzeep5.1
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Application to calculate ramachandran z-scores
  Tortoize validates protein structure models by checking the
  Ramachandran plot and side-chain rotamer distributions. Quality

## tortoize 2.0.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
 cmake_minimum_required(VERSION 3.15)
 
 # set the project name
-project(tortoize VERSION 2.0.5 LANGUAGES CXX)
+project(tortoize VERSION 2.0.10 LANGUAGES CXX)
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
@@ -47,7 +47,7 @@
 if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
 	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wno-unused-parameter -Wno-missing-field-initializers")
 elseif(MSVC)
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4")
+	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4")
 endif()
 
 if(NOT "$ENV{CCP4}" STREQUAL "")
@@ -55,17 +55,18 @@
 	set(CCP4 $ENV{CCP4})
 	list(PREPEND CMAKE_MODULE_PATH "${CCP4}/Lib")
 	list(APPEND CMAKE_PREFIX_PATH ${CCP4})
+
 	if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
 		set(CMAKE_PREFIX_PATH ${CCP4})
 	endif()
 endif()
 
 if(MSVC)
-    # make msvc standards compliant...
-    add_compile_options(/permissive-)
+	# make msvc standards compliant...
+	add_compile_options(/permissive-)
 
 	macro(get_WIN32_WINNT version)
-		if (WIN32 AND CMAKE_SYSTEM_VERSION)
+		if(WIN32 AND CMAKE_SYSTEM_VERSION)
 			set(ver ${CMAKE_SYSTEM_VERSION})
 			string(REPLACE "." "" ver ${ver})
 			string(REGEX REPLACE "([0-9])" "0\\1" ver ${ver})
@@ -76,25 +77,11 @@
 
 	get_WIN32_WINNT(ver)
 	add_definitions(-D_WIN32_WINNT=${ver})
-
-	# On Windows, do not install in the system location
-	if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT AND NOT BUILD_FOR_CCP4)
-		message(STATUS "The library and auxiliary files will be installed in $ENV{LOCALAPPDATA}/${PROJECT_NAME}")
-		set(CMAKE_INSTALL_PREFIX "$ENV{LOCALAPPDATA}/${PROJECT_NAME}" CACHE PATH "..." FORCE)
-	endif()
-endif()
-
-if(UNIX AND NOT APPLE)
-	# On Linux, install in the $HOME/.local folder by default
-	if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
-		message(WARNING "The library and auxiliary files will be installed in $ENV{HOME}/.local")
-		set(CMAKE_INSTALL_PREFIX "$ENV{HOME}/.local" CACHE PATH "..." FORCE)
-	endif()
 endif()
 
 # Create a revision file, containing the current git version info, if any
 include(VersionString)
-write_version_header()
+write_version_header(${PROJECT_SOURCE_DIR}/src)
 
 # Optionally use mrc to create resources
 find_package(Mrc)
@@ -110,41 +97,86 @@
 	add_compile_definitions(USE_RSRC)
 endif()
 
+# Optionally build a webservice
+option(BUILD_WEBSERVICE "Build a version with a webservice daemon" OFF)
+
 # libraries
-
 set(CMAKE_THREAD_PREFER_PTHREAD)
 set(THREADS_PREFER_PTHREAD_FLAG)
 find_package(Threads)
 
-find_package(cifpp 2.0.0 REQUIRED)
-find_package(zeep 5.1.4 REQUIRED)
-
-find_package(Boost COMPONENTS program_options REQUIRED)
+if(NOT PDB_REDO_META)
+	find_package(libmcfp REQUIRED)
+	find_package(dssp REQUIRED)
+	find_package(zeep 5.1.8 REQUIRED)
+endif()
 
 add_executable(tortoize
 	${PROJECT_SOURCE_DIR}/src/tortoize.cpp
+	${PROJECT_SOURCE_DIR}/src/tortoize-main.cpp
 	${TORTOIZE_RESOURCE})
 
-if(USE_RSRC)
-	mrc_target_resources(tortoize ${CMAKE_SOURCE_DIR}/rsrc/rama-data.bin ${CMAKE_SOURCE_DIR}/rsrc/torsion-data.bin ${CIFPP_SHARE_DIR}/mmcif_pdbx_v50.dic)
+if(BUILD_WEBSERVICE)
+	target_compile_definitions(tortoize PRIVATE WEBSERVICE)
 endif()
 
-target_include_directories(tortoize PRIVATE cifpp::cifpp ${CMAKE_SOURCE_DIR}/include ${CMAKE_BINARY_DIR})
-target_link_libraries(tortoize cifpp::cifpp zeep::zeep std::filesystem Boost::program_options)
+if(USE_RSRC)
+	list(APPEND RESOURCES
+		${PROJECT_SOURCE_DIR}/rsrc/rama-data.bin
+		${PROJECT_SOURCE_DIR}/rsrc/torsion-data.bin
+		${CIFPP_SHARE_DIR}/mmcif_pdbx.dic
+		${CIFPP_SHARE_DIR}/mmcif_ddl.dic
+		${CIFPP_SHARE_DIR}/mmcif_ma.dic)
+
+	if(BUILD_WEBSERVICE)
+		list(APPEND RESOURCES ${PROJECT_SOURCE_DIR}/docroot/)
+	endif()
+
+	mrc_target_resources(tortoize ${RESOURCES})
+endif()
+
+target_include_directories(tortoize PRIVATE ${PROJECT_BINARY_DIR})
+
+if(PDB_REDO_META)
+	target_include_directories(tortoize PRIVATE ${CMAKE_PROJECT_DIR}/dssp/include)
+endif()
+
+target_link_libraries(tortoize
+	cifpp::cifpp
+	dssp::dssp
+	zeep::zeep
+	std::filesystem
+	libmcfp::libmcfp)
 
 install(TARGETS ${PROJECT_NAME}
-    RUNTIME DESTINATION ${BIN_INSTALL_DIR}
+	RUNTIME DESTINATION ${BIN_INSTALL_DIR}
 )
 
 if(NOT USE_RSRC)
-	install(FILES ${CMAKE_SOURCE_DIR}/rsrc/rama-data.bin ${CMAKE_SOURCE_DIR}/rsrc/torsion-data.bin
+	install(FILES ${PROJECT_SOURCE_DIR}/rsrc/rama-data.bin ${PROJECT_SOURCE_DIR}/rsrc/torsion-data.bin
 		DESTINATION ${CIFPP_SHARE_DIR})
 endif()
 
-# # manual
+# manual
+install(FILES doc/tortoize.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
 
-# install(FILES doc/tortoize.1 DESTINATION ${CMAKE_INSTALL_DATADIR}/man/man1)
+# Test code
+if(ENABLE_TESTING)
+	add_executable(tortoize-unit-test
+		${PROJECT_SOURCE_DIR}/test/tortoize-unit-test.cpp
+		${PROJECT_SOURCE_DIR}/src/tortoize.cpp)
 
-# manual
+	target_include_directories(tortoize-unit-test PRIVATE ${PROJECT_SOURCE_DIR}/src ${PROJECT_BINARY_DIR})
 
-install(FILES doc/tortoize.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
+	target_link_libraries(tortoize-unit-test
+		cifpp::cifpp
+		dssp::dssp
+		zeep::zeep
+		std::filesystem)
+
+	add_test(NAME tortoize-unit-test COMMAND $<TARGET_FILE:tortoize-unit-test> -- ${PROJECT_SOURCE_DIR}/test)
+
+	if(USE_RSRC)
+		mrc_target_resources(tortoize-unit-test ${RESOURCES})
+	endif()
+endif()

=== debian/changelog ===
tortoize (2.0.10-1) unstable; urgency=medium

  * New upstream release. 

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Mon, 02 Jan 2023 10:02:57 +0100

## tortoize 2.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
 cmake_minimum_required(VERSION 3.15)
 
 # set the project name
-project(tortoize VERSION 2.0.10 LANGUAGES CXX)
+project(tortoize VERSION 2.0.11 LANGUAGES CXX)
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
@@ -50,14 +50,20 @@
 	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4")
 endif()
 
-if(NOT "$ENV{CCP4}" STREQUAL "")
-	set(BUILD_SHARED_LIBS ON)
-	set(CCP4 $ENV{CCP4})
-	list(PREPEND CMAKE_MODULE_PATH "${CCP4}/Lib")
-	list(APPEND CMAKE_PREFIX_PATH ${CCP4})
+# Optionally build a version to be installed inside CCP4
+option(BUILD_FOR_CCP4 "Build a version to be installed in CCP4" OFF)
 
-	if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
-		set(CMAKE_PREFIX_PATH ${CCP4})
+if(BUILD_FOR_CCP4)
+	if("$ENV{CCP4}" STREQUAL "" OR NOT EXISTS $ENV{CCP4})
+		message(FATAL_ERROR "A CCP4 built was requested but CCP4 was not sourced")
+	else()
+		list(APPEND CMAKE_MODULE_PATH "$ENV{CCP4}")
+		list(APPEND CMAKE_PREFIX_PATH "$ENV{CCP4}")
+		set(CMAKE_INSTALL_PREFIX "$ENV{CCP4}")
+
+		if(WIN32)
+			set(BUILD_SHARED_LIBS ON)
+		endif()
 	endif()
 endif()
 
@@ -84,15 +90,16 @@
 write_version_header(${PROJECT_SOURCE_DIR}/src)
 
 # Optionally use mrc to create resources
-find_package(Mrc)
+find_package(Mrc QUIET)
 
 if(MRC_FOUND)
 	option(USE_RSRC "Use mrc to create resources" ON)
 else()
-	message(WARNING "Not using resources since mrc was not found")
+	message(STATUS "Not using resources since mrc was not found")
+	set(USE_RSRC OFF)
 endif()
 
-if(USE_RSRC STREQUAL "ON")
+if(USE_RSRC)
 	set(USE_RSRC 1)
 	add_compile_definitions(USE_RSRC)
 endif()
@@ -108,6 +115,7 @@
 if(NOT PDB_REDO_META)
 	find_package(libmcfp REQUIRED)
 	find_package(dssp REQUIRED)
+	find_package(cifpp REQUIRED)
 	find_package(zeep 5.1.8 REQUIRED)
 endif()
 
@@ -141,12 +149,8 @@
 	target_include_directories(tortoize PRIVATE ${CMAKE_PROJECT_DIR}/dssp/include)
 endif()
 
-target_link_libraries(tortoize
-	cifpp::cifpp
-	dssp::dssp
-	zeep::zeep
-	std::filesystem
-	libmcfp::libmcfp)
+target_link_libraries(tortoize dssp::dssp cifpp::cifpp zeep::zeep std::filesystem libmcfp::libmcfp)
+target_compile_definitions(tortoize PUBLIC NOMINMAX=1)
 
 install(TARGETS ${PROJECT_NAME}
 	RUNTIME DESTINATION ${BIN_INSTALL_DIR}
@@ -166,13 +170,10 @@
 		${PROJECT_SOURCE_DIR}/test/tortoize-unit-test.cpp
 		${PROJECT_SOURCE_DIR}/src/tortoize.cpp)
 
+	target_compile_definitions(tortoize-unit-test PUBLIC NOMINMAX=1)
 	target_include_directories(tortoize-unit-test PRIVATE ${PROJECT_SOURCE_DIR}/src ${PROJECT_BINARY_DIR})
 
-	target_link_libraries(tortoize-unit-test
-		cifpp::cifpp
-		dssp::dssp
-		zeep::zeep
-		std::filesystem)
+	target_link_libraries(tortoize-unit-test dssp::dssp cifpp::cifpp zeep::zeep std::filesystem)
 
 	add_test(NAME tortoize-unit-test COMMAND $<TARGET_FILE:tortoize-unit-test> -- ${PROJECT_SOURCE_DIR}/test)

=== debian/changelog ===
tortoize (2.0.11-1) unstable; urgency=medium

  * New upstream. 

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Thu, 02 Feb 2023 10:52:52 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,11 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               libboost-iostreams-dev,
-               libboost-program-options-dev,
-               libboost-system-dev,
-               libboost-date-time-dev,
                libcifpp-dev,
                zlib1g-dev,
-               libbz2-dev,
+               libmcfp-dev,
+               libboost-dev,
+               libboost-regex-dev,
                cmake,
                libzeep-dev,
                mrc

## tortoize 2.0.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
 cmake_minimum_required(VERSION 3.15)
 
 # set the project name
-project(tortoize VERSION 2.0.11 LANGUAGES CXX)
+project(tortoize VERSION 2.0.13 LANGUAGES CXX)
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
@@ -34,9 +34,9 @@
 include(CheckIncludeFiles)
 include(CheckLibraryExists)
 include(CMakePackageConfigHelpers)
-include(Dart)
 include(FindFilesystem)
 include(GenerateExportHeader)
+include(CTest)
 
 set(CXX_EXTENSIONS OFF)
 set(CMAKE_CXX_STANDARD 17)
@@ -70,6 +70,7 @@
 if(MSVC)
 	# make msvc standards compliant...
 	add_compile_options(/permissive-)
+	add_link_options(/NODEFAULTLIB:library)
 
 	macro(get_WIN32_WINNT version)
 		if(WIN32 AND CMAKE_SYSTEM_VERSION)
@@ -165,7 +166,9 @@
 install(FILES doc/tortoize.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
 
 # Test code
-if(ENABLE_TESTING)
+if(BUILD_TESTING)
+	enable_testing()
+
 	add_executable(tortoize-unit-test
 		${PROJECT_SOURCE_DIR}/test/tortoize-unit-test.cpp
 		${PROJECT_SOURCE_DIR}/src/tortoize.cpp)

=== debian/changelog ===
tortoize (2.0.13-1) unstable; urgency=medium

  * New upstream.
  * Fix ftbfs, Closes: #1045986

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Thu, 17 Oct 2024 17:57:49 +0200

## tortoize 2.0.15

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,10 +6,10 @@
 # modification, are permitted provided that the following conditions are met:
 
 # 1. Redistributions of source code must retain the above copyright notice, this
-#    list of conditions and the following disclaimer
+# list of conditions and the following disclaimer
 # 2. Redistributions in binary form must reproduce the above copyright notice,
-#    this list of conditions and the following disclaimer in the documentation
-#    and/or other materials provided with the distribution.
+# this list of conditions and the following disclaimer in the documentation
+# and/or other materials provided with the distribution.
 
 # THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 # ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
@@ -22,27 +22,25 @@
 # (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 # SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
-cmake_minimum_required(VERSION 3.15)
+cmake_minimum_required(VERSION 3.25)
 
 # set the project name
-project(tortoize VERSION 2.0.13 LANGUAGES CXX)
+project(tortoize VERSION 2.0.15 LANGUAGES CXX)
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
+include(FindOrFetch)
 include(GNUInstallDirs)
 include(CheckFunctionExists)
 include(CheckIncludeFiles)
 include(CheckLibraryExists)
 include(CMakePackageConfigHelpers)
-include(FindFilesystem)
 include(GenerateExportHeader)
 include(CTest)
 
 set(CXX_EXTENSIONS OFF)
-set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
-
-find_package(Filesystem REQUIRED)
 
 if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
 	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wno-unused-parameter -Wno-missing-field-initializers")
@@ -113,21 +111,18 @@
 set(THREADS_PREFER_PTHREAD_FLAG)
 find_package(Threads)
 
-if(NOT PDB_REDO_META)
-	find_package(libmcfp REQUIRED)
-	find_package(dssp REQUIRED)
-	find_package(cifpp REQUIRED)
-	find_package(zeep 5.1.8 REQUIRED)
+find_package(nlohmann_json REQUIRED)
+
+find_or_fetch_package(mcfp VERSION 1.3.5 GIT_REPOSITORY https://github.com/mhekkel/libmcfp GIT_TAG b6c62a3)
+find_or_fetch_package(cifpp VERSION 7 GIT_REPOSITORY https://github.com/PDB-REDO/libcifpp.git GIT_TAG v7.0.9 VARIABLES "CIFPP_SHARE_DIR")
+
+if (NOT TARGET dssp)
+	add_subdirectory(dssp EXCLUDE_FROM_ALL)
 endif()
 
 add_executable(tortoize
 	${PROJECT_SOURCE_DIR}/src/tortoize.cpp
-	${PROJECT_SOURCE_DIR}/src/tortoize-main.cpp
-	${TORTOIZE_RESOURCE})
-
-if(BUILD_WEBSERVICE)
-	target_compile_definitions(tortoize PRIVATE WEBSERVICE)
-endif()
+	${PROJECT_SOURCE_DIR}/src/tortoize-main.cpp)
 
 if(USE_RSRC)
 	list(APPEND RESOURCES
@@ -137,23 +132,15 @@
 		${CIFPP_SHARE_DIR}/mmcif_ddl.dic
 		${CIFPP_SHARE_DIR}/mmcif_ma.dic)
 
-	if(BUILD_WEBSERVICE)
-		list(APPEND RESOURCES ${PROJECT_SOURCE_DIR}/docroot/)
-	endif()
-
 	mrc_target_resources(tortoize ${RESOURCES})
 endif()
 
 target_include_directories(tortoize PRIVATE ${PROJECT_BINARY_DIR})
 
-if(PDB_REDO_META)
-	target_include_directories(tortoize PRIVATE ${CMAKE_PROJECT_DIR}/dssp/include)
-endif()
-
-target_link_libraries(tortoize dssp::dssp cifpp::cifpp zeep::zeep std::filesystem libmcfp::libmcfp)
+target_link_libraries(tortoize dssp::dssp cifpp::cifpp mcfp::mcfp)
 target_compile_definitions(tortoize PUBLIC NOMINMAX=1)
 
-install(TARGETS ${PROJECT_NAME}
+install(TARGETS tortoize
 	RUNTIME DESTINATION ${BIN_INSTALL_DIR}
 )
 
@@ -162,25 +149,38 @@
 		DESTINATION ${CIFPP_SHARE_DIR})
 endif()
 
+if(BUILD_WEBSERVICE)
+	find_package(zeep 6 REQUIRED)
+
+	if(NOT USE_RSRC)
+		message(FATAL_ERROR "Web service needs mrc/resources")
+	endif()
+
+	add_executable(tortoized
+		${PROJECT_SOURCE_DIR}/src/tortoize.cpp
+		${PROJECT_SOURCE_DIR}/src/tortoize-server-main.cpp
+	)
+
+	target_link_libraries(tortoized dssp::dssp cifpp::cifpp mcfp::mcfp zeep::zeep)
+
+	mrc_target_resources(tortoized ${RESOURCES} ${CMAKE_CURRENT_SOURCE_DIR}/docroot/)
+
+	install(TARGETS tortoized
+		RUNTIME DESTINATION ${SBIN_INSTALL_DIR}
+	)
+
+	set(TORTOIZED_EXE "${CMAKE_INSTALL_FULL_SBINDIR}/tortoized")
+	set(TORTOIZED_PID "/var/run/tortoized")
+
+	configure_file(tortoized.service.in ${CMAKE_CURRENT_BINARY_DIR}/tortoized.service @ONLY)
+
+	install(FILES "${CMAKE_CURRENT_BINARY_DIR}/tortoized.service" DESTINATION "/etc/systemd/system")
+endif()
+
 # manual
 install(FILES doc/tortoize.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
 
 # Test code
 if(BUILD_TESTING)
-	enable_testing()
-
-	add_executable(tortoize-unit-test
-		${PROJECT_SOURCE_DIR}/test/tortoize-unit-test.cpp
-		${PROJECT_SOURCE_DIR}/src/tortoize.cpp)
-
-	target_compile_definitions(tortoize-unit-test PUBLIC NOMINMAX=1)
-	target_include_directories(tortoize-unit-test PRIVATE ${PROJECT_SOURCE_DIR}/src ${PROJECT_BINARY_DIR})
-
-	target_link_libraries(tortoize-unit-test dssp::dssp cifpp::cifpp zeep::zeep std::filesystem)
-
-	add_test(NAME tortoize-unit-test COMMAND $<TARGET_FILE:tortoize-unit-test> -- ${PROJECT_SOURCE_DIR}/test)
-
-	if(USE_RSRC)
-		mrc_target_resources(tortoize-unit-test ${RESOURCES})
-	endif()
+	add_subdirectory(test)
 endif()

=== test/CMakeLists.txt ===
find_or_fetch_package(Catch2 VERSION 3 GIT_REPOSITORY https://github.com/catchorg/Catch2.git GIT_TAG v3.8.0)


add_executable(tortoize-unit-test
	${PROJECT_SOURCE_DIR}/test/tortoize-unit-test.cpp
	${PROJECT_SOURCE_DIR}/src/tortoize.cpp)

target_compile_definitions(tortoize-unit-test PUBLIC NOMINMAX=1)
target_include_directories(tortoize-unit-test PRIVATE ${PROJECT_SOURCE_DIR}/src ${PROJECT_BINARY_DIR})

target_link_libraries(tortoize-unit-test dssp::dssp cifpp::cifpp Catch2::Catch2)

add_test(NAME tortoize-unit-test COMMAND $<TARGET_FILE:tortoize-unit-test> --data-dir ${PROJECT_SOURCE_DIR}/test)

if(USE_RSRC)
	mrc_target_resources(tortoize-unit-test ${RESOURCES})
endif()

=== debian/changelog ===
tortoize (2.0.15-1) unstable; urgency=medium

  * New upstream version 2.0.15

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Wed, 02 Apr 2025 13:15:19 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
                libcifpp-dev,
                zlib1g-dev,
                libmcfp-dev,
-               libboost-dev,
                libboost-regex-dev,
+               libcatch2-dev,
                cmake,
-               libzeep-dev,
+               nlohmann-json3-dev,
                mrc
 Standards-Version: 4.5.1
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
export CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export DEST_DIR:=/usr
export LDOPTS:=$(LDFLAGS)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_SHARED_LIBS=ON

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/tortoize-$1\.tar\.gz/ \
  https://github.com/PDB-REDO/tortoize/tags .*/v?(\d\S+)\.tar\.gz

## tortoize 2.0.16

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
 cmake_minimum_required(VERSION 3.25)
 
 # set the project name
-project(tortoize VERSION 2.0.15 LANGUAGES CXX)
+project(tortoize VERSION 2.0.16 LANGUAGES CXX)
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
@@ -53,7 +53,7 @@
 
 if(BUILD_FOR_CCP4)
 	if("$ENV{CCP4}" STREQUAL "" OR NOT EXISTS $ENV{CCP4})
-		message(FATAL_ERROR "A CCP4 built was requested but CCP4 was not sourced")
+		message(FATAL_ERROR "tortoize: A CCP4 built was requested but CCP4 was not sourced")
 	else()
 		list(APPEND CMAKE_MODULE_PATH "$ENV{CCP4}")
 		list(APPEND CMAKE_PREFIX_PATH "$ENV{CCP4}")
@@ -94,7 +94,7 @@
 if(MRC_FOUND)
 	option(USE_RSRC "Use mrc to create resources" ON)
 else()
-	message(STATUS "Not using resources since mrc was not found")
+	message(STATUS "tortoize: Not using resources since mrc was not found")
 	set(USE_RSRC OFF)
 endif()
 
@@ -114,7 +114,7 @@
 find_package(nlohmann_json REQUIRED)
 
 find_or_fetch_package(mcfp VERSION 1.3.5 GIT_REPOSITORY https://github.com/mhekkel/libmcfp GIT_TAG b6c62a3)
-find_or_fetch_package(cifpp VERSION 7 GIT_REPOSITORY https://github.com/PDB-REDO/libcifpp.git GIT_TAG v7.0.9 VARIABLES "CIFPP_SHARE_DIR")
+find_or_fetch_package(cifpp VERSION 9 GIT_REPOSITORY https://github.com/PDB-REDO/libcifpp.git GIT_TAG v9.0.5 VARIABLES "CIFPP_SHARE_DIR")
 
 if (NOT TARGET dssp)
 	add_subdirectory(dssp EXCLUDE_FROM_ALL)
@@ -137,8 +137,7 @@
 
 target_include_directories(tortoize PRIVATE ${PROJECT_BINARY_DIR})
 
-target_link_libraries(tortoize dssp::dssp cifpp::cifpp mcfp::mcfp)
-target_compile_definitions(tortoize PUBLIC NOMINMAX=1)
+target_link_libraries(tortoize dssp::dssp mcfp::mcfp cifpp::cifpp)
 
 install(TARGETS tortoize
 	RUNTIME DESTINATION ${BIN_INSTALL_DIR}
@@ -153,7 +152,7 @@
 	find_package(zeep 6 REQUIRED)
 
 	if(NOT USE_RSRC)
-		message(FATAL_ERROR "Web service needs mrc/resources")
+		message(FATAL_ERROR "tortoize: Web service needs mrc/resources")
 	endif()
 
 	add_executable(tortoized
@@ -161,7 +160,7 @@
 		${PROJECT_SOURCE_DIR}/src/tortoize-server-main.cpp
 	)
 
-	target_link_libraries(tortoized dssp::dssp cifpp::cifpp mcfp::mcfp zeep::zeep)
+	target_link_libraries(tortoized dssp::dssp mcfp::mcfp zeep::zeep)
 
 	mrc_target_resources(tortoized ${RESOURCES} ${CMAKE_CURRENT_SOURCE_DIR}/docroot/)

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-find_or_fetch_package(Catch2 VERSION 3 GIT_REPOSITORY https://github.com/catchorg/Catch2.git GIT_TAG v3.8.0)
+find_or_fetch_package(Catch2 VERSION 3 GIT_REPOSITORY https://github.com/catchorg/Catch2.git GIT_TAG v3.4.0)
 
 
 add_executable(tortoize-unit-test

=== debian/changelog ===
tortoize (2.0.16-1) unstable; urgency=medium

  * New upstream version 2.0.16

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Thu, 20 Nov 2025 12:46:20 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,8 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               libcifpp-dev,
-               zlib1g-dev,
+               libcifpp-dev (>= 9),
                libmcfp-dev,
-               libboost-regex-dev,
                libcatch2-dev,
                cmake,
                nlohmann-json3-dev,
